# Update Entry in Data Table (One to One)

`PUT /lokta-lms/api/v1/datatables/{datatable}/{apptableId}`

Updates the one-to-one data table row for the specified application table record.

Updates the row (if it exists) of the data table.

## Parameters
- `datatable` (path, string, required): datatable
- `apptableId` (path, integer, required): apptableId

## Responses
- `200`: OK

## Response fields
- `changes` (object)
- `clientId` (integer)
- `loanId` (integer)
- `officeId` (integer)
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/datatables/{datatable}/{apptableId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "changes": {},
  "clientId": 1,
  "loanId": 1,
  "officeId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/updateDatatableEntryOnetoOne
